Neustartproblem von FHEM aus dem qnapclub.eu-store

  • Ich nutze ja eigentlich schon lange die App aus dem qnapclub-store für eine Slave-Version von FHEM, um manche Komponenten indirekt mit meinem Master-FHEM auf dem Cubitruck zu betreiben (für Insider: Per RFHEM). Das funktioniert eigentlich perfekt, bis auf zwei Punkte:

    1. Starte ich mein Master-FHEM neu, wie auch immer, beendet sich auch da Slave-FHEM. Damit könnte ich leben.

    2. Seit einigen FW-Versionen (seit genau wann weiß ich nicht) kann ich FHEM aber nicht mehr einfach über die Shell neu starten wie früher. Jetzt bekomme ich die Meldung:

    Code
    1. Can't locate strict.pm in @INC (you may need to install the strict module) (@INC contains: /opt/lib/perl5/5.28) at fhem.pl line 33. BEGIN failed--compilation aborted at fhem.pl line 33.

    Es hilft dann scheinbar nur ein Neustart des NAS. Jetzt weiß ich natürlich, dass ich wieder mal alleine mit genau diesem Problem und dieser Konstellation bin. Aber wer weiß - hat doch jemand eine Idee?


    EDIT:

    Ich glaube, ich habe die Antwort selber gefunden: Es geht dabei um die unterschiedlichen Versionen von Perl, die existieren. Perl von QNAP, Qperl vom qnapclub.eu und Perl aus entware. Hier ist Qperl notwendig, die anderen beiden (oder mindestens eines davon) stören.

    Einmal editiert, zuletzt von duke-f ()